Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface EventPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EventPackageImpl

public interface EventPackage
extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains access methods for the metaobjects to represent:

- Each class
- Each feature of each class
- Each enum
- Each data type

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventFactory`

Field Summary
`static int` | `ASSOCIATED_EVENT` The metaobject ID for the '`Associated Event`' class
`static int` | `ASSOCIATED_EVENT__ASSOCIATION_ENGINE` The feature ID for the 'Association Engine' attribute
`static int` | `ASSOCIATED_EVENT__ASSOCIATION_ENGINE_INFO` The feature ID for the 'Association Engine Info' containment reference
`static int` | `ASSOCIATED_EVENT__RESOLVED_EVENTS` The feature ID for the 'Resolved Events' attribute
`static int` | `ASSOCIATED_EVENT_FEATURE_COUNT` The number of structural features of the the 'Associated Event' class
`static int` | `ASSOCIATION_ENGINE` The metaobject ID for the '`Association Engine`' class
`static int` | `ASSOCIATION_ENGINE__ID` The feature ID for the 'Id' attribute
`static int` | `ASSOCIATION_ENGINE__NAME` The feature ID for the 'Name' attribute
`static int` | `ASSOCIATION_ENGINE__TYPE` The feature ID for the 'Type' attribute
`static int` | `ASSOCIATION_ENGINE_FEATURE_COUNT` The number of structural features of the the 'Association Engine' class
`static int` | `AVAILABLE_SITUATION` The metaobject ID for the '`Available Situation`' class
`static int` | `AVAILABLE_SITUATION__AVAILABILITY_DISPOSITION` The feature ID for the 'Availability Disposition' attribute
`static int` | `AVAILABLE_SITUATION__OPERATION_DISPOSITION` The feature ID for the 'Operation Disposition' attribute
`static int` | `AVAILABLE_SITUATION__PROCESSING_DISPOSITION` The feature ID for the 'Processing Disposition' attribute
`static int` | `AVAILABLE_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `AVAILABLE_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Available Situation' class
`static int` | `COMMON_BASE_EVENT` The metaobject ID for the '`Common Base Event`' class
`static int` | `COMMON_BASE_EVENT__ANY` The feature ID for the 'Any' attribute list
`static int` | `COMMON_BASE_EVENT__ASSOCIATED_EVENTS` The feature ID for the 'Associated Events' containment reference list
`static int` | `COMMON_BASE_EVENT__CONTEXT_DATA_ELEMENTS` The feature ID for the 'Context Data Elements' containment reference list
`static int` | `COMMON_BASE_EVENT__CREATION_TIME` The feature ID for the 'Creation Time' attribute
`static int` | `COMMON_BASE_EVENT__ELAPSED_TIME` The feature ID for the 'Elapsed Time' attribute
`static int` | `COMMON_BASE_EVENT__EXTENDED_DATA_ELEMENTS` The feature ID for the 'Extended Data Elements' containment reference list
`static int` | `COMMON_BASE_EVENT__EXTENSION_NAME` The feature ID for the 'Extension Name' attribute
`static int` | `COMMON_BASE_EVENT__GLOBAL_INSTANCE_ID` The feature ID for the 'Global Instance ID' attribute
`static int` | `COMMON_BASE_EVENT__LOCAL_INSTANCE_ID` The feature ID for the 'Local Instance ID' attribute
`static int` | `COMMON_BASE_EVENT__MSG` The feature ID for the 'Msg' attribute
`static int` | `COMMON_BASE_EVENT__MSG_DATA_ELEMENT` The feature ID for the 'Msg Data Element' containment reference
`static int` | `COMMON_BASE_EVENT__PRIORITY` The feature ID for the 'Priority' attribute
`static int` | `COMMON_BASE_EVENT__REPEAT_COUNT` The feature ID for the 'Repeat Count' attribute
`static int` | `COMMON_BASE_EVENT__REPORTER_COMPONENT_ID` The feature ID for the 'Reporter Component ID' containment reference
`static int` | `COMMON_BASE_EVENT__SEQUENCE_NUMBER` The feature ID for the 'Sequence Number' attribute
`static int` | `COMMON_BASE_EVENT__SEVERITY` The feature ID for the 'Severity' attribute
`static int` | `COMMON_BASE_EVENT__SITUATION` The feature ID for the 'Situation' containment reference
`static int` | `COMMON_BASE_EVENT__SOURCE_COMPONENT_ID` The feature ID for the 'Source Component ID' containment reference
`static int` | `COMMON_BASE_EVENT__VERSION` The feature ID for the 'Version' attribute
`static int` | `COMMON_BASE_EVENT_FEATURE_COUNT` The number of structural features of the the 'Common Base Event' class
`static int` | `COMPONENT_IDENTIFICATION` The metaobject ID for the '`Component Identification`' class
`static int` | `COMPONENT_IDENTIFICATION__APPLICATION` The feature ID for the 'Application' attribute
`static int` | `COMPONENT_IDENTIFICATION__COMPONENT` The feature ID for the 'Component' attribute
`static int` | `COMPONENT_IDENTIFICATION__COMPONENT_ID_TYPE` The feature ID for the 'Component ID Type' attribute
`static int` | `COMPONENT_IDENTIFICATION__COMPONENT_TYPE` The feature ID for the 'Component Type' attribute
`static int` | `COMPONENT_IDENTIFICATION__EXECUTION_ENVIRONMENT` The feature ID for the 'Execution Environment' attribute
`static int` | `COMPONENT_IDENTIFICATION__INSTANCE_ID` The feature ID for the 'Instance ID' attribute
`static int` | `COMPONENT_IDENTIFICATION__LOCATION` The feature ID for the 'Location' attribute
`static int` | `COMPONENT_IDENTIFICATION__LOCATION_TYPE` The feature ID for the 'Location Type' attribute
`static int` | `COMPONENT_IDENTIFICATION__PROCESS_ID` The feature ID for the 'Process ID' attribute
`static int` | `COMPONENT_IDENTIFICATION__SUB_COMPONENT` The feature ID for the 'Sub Component' attribute
`static int` | `COMPONENT_IDENTIFICATION__THREAD_ID` The feature ID for the 'Thread ID' attribute
`static int` | `COMPONENT_IDENTIFICATION_FEATURE_COUNT` The number of structural features of the the 'Component Identification' class
`static int` | `CONFIGURE_SITUATION` The metaobject ID for the '`Configure Situation`' class
`static int` | `CONFIGURE_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `CONFIGURE_SITUATION__SUCCESS_DISPOSITION` The feature ID for the 'Success Disposition' attribute
`static int` | `CONFIGURE_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Configure Situation' class
`static int` | `CONNECT_SITUATION` The metaobject ID for the '`Connect Situation`' class
`static int` | `CONNECT_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `CONNECT_SITUATION__SITUATION_DISPOSITION` The feature ID for the 'Situation Disposition' attribute
`static int` | `CONNECT_SITUATION__SUCCESS_DISPOSITION` The feature ID for the 'Success Disposition' attribute
`static int` | `CONNECT_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Connect Situation' class
`static int` | `CONTEXT_DATA_ELEMENT` The metaobject ID for the '`Context Data Element`' class
`static int` | `CONTEXT_DATA_ELEMENT__CONTEXT_ID` The feature ID for the 'Context ID' attribute
`static int` | `CONTEXT_DATA_ELEMENT__CONTEXT_VALUE` The feature ID for the 'Context Value' attribute
`static int` | `CONTEXT_DATA_ELEMENT__NAME` The feature ID for the 'Name' attribute
`static int` | `CONTEXT_DATA_ELEMENT__TYPE` The feature ID for the 'Type' attribute
`static int` | `CONTEXT_DATA_ELEMENT_FEATURE_COUNT` The number of structural features of the the 'Context Data Element' class
`static int` | `CREATE_SITUATION` The metaobject ID for the '`Create Situation`' class
`static int` | `CREATE_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `CREATE_SITUATION__SUCCESS_DISPOSITION` The feature ID for the 'Success Disposition' attribute
`static int` | `CREATE_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Create Situation' class
`static int` | `DEPENDENCY_SITUATION` The metaobject ID for the '`Dependency Situation`' class
`static int` | `DEPENDENCY_SITUATION__DEPENDENCY_DISPOSITION` The feature ID for the 'Dependency Disposition' attribute
`static int` | `DEPENDENCY_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `DEPENDENCY_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Dependency Situation' class
`static int` | `DESTROY_SITUATION` The metaobject ID for the '`Destroy Situation`' class
`static int` | `DESTROY_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `DESTROY_SITUATION__SUCCESS_DISPOSITION` The feature ID for the 'Success Disposition' attribute
`static int` | `DESTROY_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Destroy Situation' class
`static EventPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `EXTENDED_DATA_ELEMENT` The metaobject ID for the '`Extended Data Element`' class
`static int` | `EXTENDED_DATA_ELEMENT__CHILDREN` The feature ID for the 'Children' containment reference list
`static int` | `EXTENDED_DATA_ELEMENT__HEX_VALUE` The feature ID for the 'Hex Value' attribute
`static int` | `EXTENDED_DATA_ELEMENT__NAME` The feature ID for the 'Name' attribute
`static int` | `EXTENDED_DATA_ELEMENT__TYPE` The feature ID for the 'Type' attribute
`static int` | `EXTENDED_DATA_ELEMENT__VALUES` The feature ID for the 'Values' attribute list
`static int` | `EXTENDED_DATA_ELEMENT_FEATURE_COUNT` The number of structural features of the the 'Extended Data Element' class
`static int` | `FEATURE_SITUATION` The metaobject ID for the '`Feature Situation`' class
`static int` | `FEATURE_SITUATION__FEATURE_DISPOSITION` The feature ID for the 'Feature Disposition' attribute
`static int` | `FEATURE_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `FEATURE_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Feature Situation' class
`static int` | `MSG_CATALOG_TOKEN` The metaobject ID for the '`Msg Catalog Token`' class
`static int` | `MSG_CATALOG_TOKEN__VALUE` The feature ID for the 'Value' attribute
`static int` | `MSG_CATALOG_TOKEN_FEATURE_COUNT` The number of structural features of the the 'Msg Catalog Token' class
`static int` | `MSG_DATA_ELEMENT` The metaobject ID for the '`Msg Data Element`' class
`static int` | `MSG_DATA_ELEMENT__MSG_CATALOG` The feature ID for the 'Msg Catalog' attribute
`static int` | `MSG_DATA_ELEMENT__MSG_CATALOG_ID` The feature ID for the 'Msg Catalog ID' attribute
`static int` | `MSG_DATA_ELEMENT__MSG_CATALOG_TOKENS` The feature ID for the 'Msg Catalog Tokens' containment reference list
`static int` | `MSG_DATA_ELEMENT__MSG_CATALOG_TYPE` The feature ID for the 'Msg Catalog Type' attribute
`static int` | `MSG_DATA_ELEMENT__MSG_ID` The feature ID for the 'Msg ID' attribute
`static int` | `MSG_DATA_ELEMENT__MSG_ID_TYPE` The feature ID for the 'Msg ID Type' attribute
`static int` | `MSG_DATA_ELEMENT__MSG_LOCALE` The feature ID for the 'Msg Locale' attribute
`static int` | `MSG_DATA_ELEMENT_FEATURE_COUNT` The number of structural features of the the 'Msg Data Element' class
`static int` | `OTHER_SITUATION` The metaobject ID for the '`Other Situation`' class
`static int` | `OTHER_SITUATION__ANY` The feature ID for the 'Any' attribute
`static int` | `OTHER_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `OTHER_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Other Situation' class
`static int` | `REPORT_SITUATION` The metaobject ID for the '`Report Situation`' class
`static int` | `REPORT_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `REPORT_SITUATION__REPORT_CATEGORY` The feature ID for the 'Report Category' attribute
`static int` | `REPORT_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Report Situation' class
`static int` | `REQUEST_SITUATION` The metaobject ID for the '`Request Situation`' class
`static int` | `REQUEST_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `REQUEST_SITUATION__SITUATION_QUALIFIER` The feature ID for the 'Situation Qualifier' attribute
`static int` | `REQUEST_SITUATION__SUCCESS_DISPOSITION` The feature ID for the 'Success Disposition' attribute
`static int` | `REQUEST_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Request Situation' class
`static int` | `SERIALIZABLE` The metaobject ID for the '`Serializable`' class
`static int` | `SERIALIZABLE_FEATURE_COUNT` The number of structural features of the the 'Serializable' class
`static int` | `SITUATION` The metaobject ID for the '`Situation`' class
`static int` | `SITUATION__CATEGORY_NAME` The feature ID for the 'Category Name' attribute
`static int` | `SITUATION__SITUATION_TYPE` The feature ID for the 'Situation Type' containment reference
`static int` | `SITUATION_FEATURE_COUNT` The number of structural features of the the 'Situation' class
`static int` | `SITUATION_TYPE` The metaobject ID for the '`Situation Type`' class
`static int` | `SITUATION_TYPE__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `SITUATION_TYPE_FEATURE_COUNT` The number of structural features of the the 'Situation Type' class
`static int` | `START_SITUATION` The metaobject ID for the '`Start Situation`' class
`static int` | `START_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `START_SITUATION__SITUATION_QUALIFIER` The feature ID for the 'Situation Qualifier' attribute
`static int` | `START_SITUATION__SUCCESS_DISPOSITION` The feature ID for the 'Success Disposition' attribute
`static int` | `START_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Start Situation' class
`static int` | `STOP_SITUATION` The metaobject ID for the '`Stop Situation`' class
`static int` | `STOP_SITUATION__REASONING_SCOPE` The feature ID for the 'Reasoning Scope' attribute
`static int` | `STOP_SITUATION__SITUATION_QUALIFIER` The feature ID for the 'Situation Qualifier' attribute
`static int` | `STOP_SITUATION__SUCCESS_DISPOSITION` The feature ID for the 'Success Disposition' attribute
`static int` | `STOP_SITUATION_FEATURE_COUNT` The number of structural features of the the 'Stop Situation' class

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getAssociatedEvent_AssociationEngine()` Returns the metaobject for the attribute '`Association Engine`'
`org.eclipse.emf.ecore.EReference` | `getAssociatedEvent_AssociationEngineInfo()` Returns the metaobject for the containment reference '`Association Engine Info`'
`org.eclipse.emf.ecore.EAttribute` | `getAssociatedEvent_ResolvedEvents()` Returns the metaobject for the attribute '`Resolved Events`'
`org.eclipse.emf.ecore.EClass` | `getAssociatedEvent()` Returns the metaobject for class '`Associated Event`'
`org.eclipse.emf.ecore.EAttribute` | `getAssociationEngine_Id()` Returns the metaobject for the attribute '`Id`'
`org.eclipse.emf.ecore.EAttribute` | `getAssociationEngine_Name()` Returns the metaobject for the attribute '`Name`'
`org.eclipse.emf.ecore.EAttribute` | `getAssociationEngine_Type()` Returns the metaobject for the attribute '`Type`'
`org.eclipse.emf.ecore.EClass` | `getAssociationEngine()` Returns the metaobject for class '`Association Engine`'
`org.eclipse.emf.ecore.EAttribute` | `getAvailableSituation_AvailabilityDisposition()` Returns the metaobject for the attribute '`Availability Disposition`'
`org.eclipse.emf.ecore.EAttribute` | `getAvailableSituation_OperationDisposition()` Returns the metaobject for the attribute '`Operation Disposition`'
`org.eclipse.emf.ecore.EAttribute` | `getAvailableSituation_ProcessingDisposition()` Returns the metaobject for the attribute '`Processing Disposition`'
`org.eclipse.emf.ecore.EClass` | `getAvailableSituation()` Returns the metaobject for class '`Available Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Any()` Returns the metaobject for the attribute list '`Any`'
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_AssociatedEvents()` Returns the metaobject for the containment reference list '`Associated Events`'
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_ContextDataElements()` Returns the metaobject for the containment reference list '`Context Data Elements`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_CreationTime()` Returns the metaobject for the attribute '`Creation Time`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_ElapsedTime()` Returns the metaobject for the attribute '`Elapsed Time`'
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_ExtendedDataElements()` Returns the metaobject for the containment reference list '`Extended Data Elements`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_ExtensionName()` Returns the metaobject for the attribute '`Extension Name`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_GlobalInstanceId()` Returns the metaobject for the attribute '`Global Instance ID`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_LocalInstanceId()` Returns the metaobject for the attribute '`Local Instance ID`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Msg()` Returns the metaobject for the attribute '`Msg`'
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_MsgDataElement()` Returns the metaobject for the containment reference '`Msg Data Element`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Priority()` Returns the metaobject for the attribute '`Priority`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_RepeatCount()` Returns the metaobject for the attribute '`Repeat Count`'
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_ReporterComponentId()` Returns the metaobject for the containment reference '`Reporter Component ID`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_SequenceNumber()` Returns the metaobject for the attribute '`Sequence Number`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Severity()` Returns the metaobject for the attribute '`Severity`'
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_Situation()` Returns the metaobject for the containment reference '`Situation`'
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_SourceComponentId()` Returns the metaobject for the containment reference '`Source Component ID`'
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Version()` Returns the metaobject for the attribute '`Version`'
`org.eclipse.emf.ecore.EClass` | `getCommonBaseEvent()` Returns the metaobject for class '`Common Base Event`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_Application()` Returns the metaobject for the attribute '`Application`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_Component()` Returns the metaobject for the attribute '`Component`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ComponentIdType()` Returns the metaobject for the attribute '`Component ID Type`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ComponentType()` Returns the metaobject for the attribute '`Component Type`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ExecutionEnvironment()` Returns the metaobject for the attribute '`Execution Environment`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_InstanceId()` Returns the metaobject for the attribute '`Instance ID`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_Location()` Returns the metaobject for the attribute '`Location`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_LocationType()` Returns the metaobject for the attribute '`Location Type`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ProcessId()` Returns the metaobject for the attribute '`Process ID`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_SubComponent()` Returns the metaobject for the attribute '`Sub Component`'
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ThreadId()` Returns the metaobject for the attribute '`Thread ID`'
`org.eclipse.emf.ecore.EClass` | `getComponentIdentification()` Returns the metaobject for class '`Component Identification`'
`org.eclipse.emf.ecore.EAttribute` | `getConfigureSituation_SuccessDisposition()` Returns the metaobject for the attribute '`Success Disposition`'
`org.eclipse.emf.ecore.EClass` | `getConfigureSituation()` Returns the metaobject for class '`Configure Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getConnectSituation_SituationDisposition()` Returns the metaobject for the attribute '`Situation Disposition`'
`org.eclipse.emf.ecore.EAttribute` | `getConnectSituation_SuccessDisposition()` Returns the metaobject for the attribute '`Success Disposition`'
`org.eclipse.emf.ecore.EClass` | `getConnectSituation()` Returns the metaobject for class '`Connect Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getContextDataElement_ContextId()` Returns the metaobject for the attribute '`Context ID`'
`org.eclipse.emf.ecore.EAttribute` | `getContextDataElement_ContextValue()` Returns the metaobject for the attribute '`Context Value`'
`org.eclipse.emf.ecore.EAttribute` | `getContextDataElement_Name()` Returns the metaobject for the attribute '`Name`'
`org.eclipse.emf.ecore.EAttribute` | `getContextDataElement_Type()` Returns the metaobject for the attribute '`Type`'
`org.eclipse.emf.ecore.EClass` | `getContextDataElement()` Returns the metaobject for class '`Context Data Element`'
`org.eclipse.emf.ecore.EAttribute` | `getCreateSituation_SuccessDisposition()` Returns the metaobject for the attribute '`Success Disposition`'
`org.eclipse.emf.ecore.EClass` | `getCreateSituation()` Returns the metaobject for class '`Create Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getDependencySituation_DependencyDisposition()` Returns the metaobject for the attribute '`Dependency Disposition`'
`org.eclipse.emf.ecore.EClass` | `getDependencySituation()` Returns the metaobject for class '`Dependency Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getDestroySituation_SuccessDisposition()` Returns the metaobject for the attribute '`Success Disposition`'
`org.eclipse.emf.ecore.EClass` | `getDestroySituation()` Returns the metaobject for class '`Destroy Situation`'
`EventFactory` | `getEventFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EReference` | `getExtendedDataElement_Children()` Returns the metaobject for the containment reference list '`Children`'
`org.eclipse.emf.ecore.EAttribute` | `getExtendedDataElement_HexValue()` Returns the metaobject for the attribute '`Hex Value`'
`org.eclipse.emf.ecore.EAttribute` | `getExtendedDataElement_Name()` Returns the metaobject for the attribute '`Name`'
`org.eclipse.emf.ecore.EAttribute` | `getExtendedDataElement_Type()` Returns the metaobject for the attribute '`Type`'
`org.eclipse.emf.ecore.EAttribute` | `getExtendedDataElement_Values()` Returns the metaobject for the attribute list '`Values`'
`org.eclipse.emf.ecore.EClass` | `getExtendedDataElement()` Returns the metaobject for class '`Extended Data Element`'
`org.eclipse.emf.ecore.EAttribute` | `getFeatureSituation_FeatureDisposition()` Returns the metaobject for the attribute '`Feature Disposition`'
`org.eclipse.emf.ecore.EClass` | `getFeatureSituation()` Returns the metaobject for class '`Feature Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getMsgCatalogToken_Value()` Returns the metaobject for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` | `getMsgCatalogToken()` Returns the metaobject for class '`Msg Catalog Token`'
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgCatalog()` Returns the metaobject for the attribute '`Msg Catalog`'
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgCatalogId()` Returns the metaobject for the attribute '`Msg Catalog ID`'
`org.eclipse.emf.ecore.EReference` | `getMsgDataElement_MsgCatalogTokens()` Returns the metaobject for the containment reference list '`Msg Catalog Tokens`'
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgCatalogType()` Returns the metaobject for the attribute '`Msg Catalog Type`'
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgId()` Returns the metaobject for the attribute '`Msg ID`'
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgIdType()` Returns the metaobject for the attribute '`Msg ID Type`'
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgLocale()` Returns the metaobject for the attribute '`Msg Locale`'
`org.eclipse.emf.ecore.EClass` | `getMsgDataElement()` Returns the metaobject for class '`Msg Data Element`'
`org.eclipse.emf.ecore.EAttribute` | `getOtherSituation_Any()` Returns the metaobject for the attribute '`Any`'
`org.eclipse.emf.ecore.EClass` | `getOtherSituation()` Returns the metaobject for class '`Other Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getReportSituation_ReportCategory()` Returns the metaobject for the attribute '`Report Category`'
`org.eclipse.emf.ecore.EClass` | `getReportSituation()` Returns the metaobject for class '`Report Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getRequestSituation_SituationQualifier()` Returns the metaobject for the attribute '`Situation Qualifier`'
`org.eclipse.emf.ecore.EAttribute` | `getRequestSituation_SuccessDisposition()` Returns the metaobject for the attribute '`Success Disposition`'
`org.eclipse.emf.ecore.EClass` | `getRequestSituation()` Returns the metaobject for class '`Request Situation`'
`org.eclipse.emf.ecore.EClass` | `getSerializable()` Returns the metaobject for class '`Serializable`'
`org.eclipse.emf.ecore.EAttribute` | `getSituation_CategoryName()` Returns the metaobject for the attribute '`Category Name`'
`org.eclipse.emf.ecore.EReference` | `getSituation_SituationType()` Returns the metaobject for the containment reference '`Situation Type`'
`org.eclipse.emf.ecore.EClass` | `getSituation()` Returns the metaobject for class '`Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getSituationType_ReasoningScope()` Returns the metaobject for the attribute '`Reasoning Scope`'
`org.eclipse.emf.ecore.EClass` | `getSituationType()` Returns the metaobject for class '`Situation Type`'
`org.eclipse.emf.ecore.EAttribute` | `getStartSituation_SituationQualifier()` Returns the metaobject for the attribute '`Situation Qualifier`'
`org.eclipse.emf.ecore.EAttribute` | `getStartSituation_SuccessDisposition()` Returns the metaobject for the attribute '`Success Disposition`'
`org.eclipse.emf.ecore.EClass` | `getStartSituation()` Returns the metaobject for class '`Start Situation`'
`org.eclipse.emf.ecore.EAttribute` | `getStopSituation_SituationQualifier()` Returns the metaobject for the attribute '`Situation Qualifier`'
`org.eclipse.emf.ecore.EAttribute` | `getStopSituation_SuccessDisposition()` Returns the metaobject for the attribute '`Success Disposition`'
`org.eclipse.emf.ecore.EClass` | `getStopSituation()` Returns the metaobject for class '`Stop Situation`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    public static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    public static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    public static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    public static final EventPackage eINSTANCE

  The singleton instance of the package.

### SERIALIZABLE

    public static final int SERIALIZABLE

  The metaobject ID for the '`Serializable`' class.

  See Also:
    `Serializable`, `getSerializable()`, Constant Field Values

### ASSOCIATED_EVENT

    public static final int ASSOCIATED_EVENT

  The metaobject ID for the '`Associated Event`' class.

  See Also:
    `AssociatedEvent`, `getAssociatedEvent()`, Constant Field Values

### ASSOCIATION_ENGINE

    public static final int ASSOCIATION_ENGINE

  The metaobject ID for the '`Association Engine`' class.

  See Also:
    `AssociationEngine`, `getAssociationEngine()`, Constant Field Values

### SITUATION_TYPE

    public static final int SITUATION_TYPE

  The metaobject ID for the '`Situation Type`' class.

  See Also:
    `SituationType`, `getSituationType()`, Constant Field Values

### AVAILABLE_SITUATION

    public static final int AVAILABLE_SITUATION

  The metaobject ID for the '`Available Situation`' class.

  See Also:
    `AvailableSituation`, `getAvailableSituation()`, Constant Field Values

### COMMON_BASE_EVENT

    public static final int COMMON_BASE_EVENT

  The metaobject ID for the '`Common Base Event`' class.

  See Also:
    `CommonBaseEvent`, `getCommonBaseEvent()`, Constant Field Values

### COMPONENT_IDENTIFICATION

    public static final int COMPONENT_IDENTIFICATION

  The metaobject ID for the '`Component Identification`' class.

  See Also:
    `ComponentIdentification`, `getComponentIdentification()`, Constant Field Values

### CONFIGURE_SITUATION

    public static final int CONFIGURE_SITUATION

  The metaobject ID for the '`Configure Situation`' class.

  See Also:
    `ConfigureSituation`, `getConfigureSituation()`, Constant Field Values

### CONNECT_SITUATION

    public static final int CONNECT_SITUATION

  The metaobject ID for the '`Connect Situation`' class.

  See Also:
    `ConnectSituation`, `getConnectSituation()`, Constant Field Values

### CONTEXT_DATA_ELEMENT

    public static final int CONTEXT_DATA_ELEMENT

  The metaobject ID for the '`Context Data Element`' class.

  See Also:
    `ContextDataElement`, `getContextDataElement()`, Constant Field Values

### CREATE_SITUATION

    public static final int CREATE_SITUATION

  The metaobject ID for the '`Create Situation`' class.

  See Also:
    `CreateSituation`, `getCreateSituation()`, Constant Field Values

### DEPENDENCY_SITUATION

    public static final int DEPENDENCY_SITUATION

  The metaobject ID for the '`Dependency Situation`' class.

  See Also:
    `DependencySituation`, `getDependencySituation()`, Constant Field Values

### DESTROY_SITUATION

    public static final int DESTROY_SITUATION

  The metaobject ID for the '`Destroy Situation`' class.

  See Also:
    `DestroySituation`, `getDestroySituation()`, Constant Field Values

### EXTENDED_DATA_ELEMENT

    public static final int EXTENDED_DATA_ELEMENT

  The metaobject ID for the '`Extended Data Element`' class.

  See Also:
    `ExtendedDataElement`, `getExtendedDataElement()`, Constant Field Values

### FEATURE_SITUATION

    public static final int FEATURE_SITUATION

  The metaobject ID for the '`Feature Situation`' class.

  See Also:
    `FeatureSituation`, `getFeatureSituation()`, Constant Field Values

### MSG_CATALOG_TOKEN

    public static final int MSG_CATALOG_TOKEN

  The metaobject ID for the '`Msg Catalog Token`' class.

  See Also:
    `MsgCatalogToken`, `getMsgCatalogToken()`, Constant Field Values

### MSG_DATA_ELEMENT

    public static final int MSG_DATA_ELEMENT

  The metaobject ID for the '`Msg Data Element`' class.

  See Also:
    `MsgDataElement`, `getMsgDataElement()`, Constant Field Values

### OTHER_SITUATION

    public static final int OTHER_SITUATION

  The metaobject ID for the '`Other Situation`' class.

  See Also:
    `OtherSituation`, `getOtherSituation()`, Constant Field Values

### REPORT_SITUATION

    public static final int REPORT_SITUATION

  The metaobject ID for the '`Report Situation`' class.

  See Also:
    `ReportSituation`, `getReportSituation()`, Constant Field Values

### REQUEST_SITUATION

    public static final int REQUEST_SITUATION

  The metaobject ID for the '`Request Situation`' class.

  See Also:
    `RequestSituation`, `getRequestSituation()`, Constant Field Values

### SITUATION

    public static final int SITUATION

  The metaobject ID for the '`Situation`' class.

  See Also:
    `Situation`, `getSituation()`, Constant Field Values

### START_SITUATION

    public static final int START_SITUATION

  The metaobject ID for the '`Start Situation`' class.

  See Also:
    `StartSituation`, `getStartSituation()`, Constant Field Values

### STOP_SITUATION

    public static final int STOP_SITUATION

  The metaobject ID for the '`Stop Situation`' class.

  See Also:
    `StopSituation`, `getStopSituation()`, Constant Field Values

### SERIALIZABLE_FEATURE_COUNT

    public static final int SERIALIZABLE_FEATURE_COUNT

  The number of structural features of the the 'Serializable' class.

  See Also:
    Constant Field Values

### ASSOCIATED_EVENT__ASSOCIATION_ENGINE

    public static final int ASSOCIATED_EVENT__ASSOCIATION_ENGINE

  The feature ID for the 'Association Engine' attribute.

  See Also:
    Constant Field Values

### ASSOCIATED_EVENT__RESOLVED_EVENTS

    public static final int ASSOCIATED_EVENT__RESOLVED_EVENTS

  The feature ID for the 'Resolved Events' attribute.

  See Also:
    Constant Field Values

### ASSOCIATED_EVENT__ASSOCIATION_ENGINE_INFO

    public static final int ASSOCIATED_EVENT__ASSOCIATION_ENGINE_INFO

  The feature ID for the 'Association Engine Info' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATED_EVENT_FEATURE_COUNT

    public static final int ASSOCIATED_EVENT_FEATURE_COUNT

  The number of structural features of the the 'Associated Event' class.

  See Also:
    Constant Field Values

### ASSOCIATION_ENGINE__ID

    public static final int ASSOCIATION_ENGINE__ID

  The feature ID for the 'Id' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_ENGINE__NAME

    public static final int ASSOCIATION_ENGINE__NAME

  The feature ID for the 'Name' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_ENGINE__TYPE

    public static final int ASSOCIATION_ENGINE__TYPE

  The feature ID for the 'Type' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_ENGINE_FEATURE_COUNT

    public static final int ASSOCIATION_ENGINE_FEATURE_COUNT

  The number of structural features of the the 'Association Engine' class.

  See Also:
    Constant Field Values

### SITUATION_TYPE__REASONING_SCOPE

    public static final int SITUATION_TYPE__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### SITUATION_TYPE_FEATURE_COUNT

    public static final int SITUATION_TYPE_FEATURE_COUNT

  The number of structural features of the the 'Situation Type' class.

  See Also:
    Constant Field Values

### AVAILABLE_SITUATION__REASONING_SCOPE

    public static final int AVAILABLE_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### AVAILABLE_SITUATION__OPERATION_DISPOSITION

    public static final int AVAILABLE_SITUATION__OPERATION_DISPOSITION

  The feature ID for the 'Operation Disposition' attribute.

  See Also:
    Constant Field Values

### AVAILABLE_SITUATION__AVAILABILITY_DISPOSITION

    public static final int AVAILABLE_SITUATION__AVAILABILITY_DISPOSITION

  The feature ID for the 'Availability Disposition' attribute.

  See Also:
    Constant Field Values

### AVAILABLE_SITUATION__PROCESSING_DISPOSITION

    public static final int AVAILABLE_SITUATION__PROCESSING_DISPOSITION

  The feature ID for the 'Processing Disposition' attribute.

  See Also:
    Constant Field Values

### AVAILABLE_SITUATION_FEATURE_COUNT

    public static final int AVAILABLE_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Available Situation' class.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__CREATION_TIME

    public static final int COMMON_BASE_EVENT__CREATION_TIME

  The feature ID for the 'Creation Time' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__GLOBAL_INSTANCE_ID

    public static final int COMMON_BASE_EVENT__GLOBAL_INSTANCE_ID

  The feature ID for the 'Global Instance ID' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__ELAPSED_TIME

    public static final int COMMON_BASE_EVENT__ELAPSED_TIME

  The feature ID for the 'Elapsed Time' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__EXTENSION_NAME

    public static final int COMMON_BASE_EVENT__EXTENSION_NAME

  The feature ID for the 'Extension Name' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__LOCAL_INSTANCE_ID

    public static final int COMMON_BASE_EVENT__LOCAL_INSTANCE_ID

  The feature ID for the 'Local Instance ID' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__MSG

    public static final int COMMON_BASE_EVENT__MSG

  The feature ID for the 'Msg' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__PRIORITY

    public static final int COMMON_BASE_EVENT__PRIORITY

  The feature ID for the 'Priority' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__REPEAT_COUNT

    public static final int COMMON_BASE_EVENT__REPEAT_COUNT

  The feature ID for the 'Repeat Count' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__SEQUENCE_NUMBER

    public static final int COMMON_BASE_EVENT__SEQUENCE_NUMBER

  The feature ID for the 'Sequence Number' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__SEVERITY

    public static final int COMMON_BASE_EVENT__SEVERITY

  The feature ID for the 'Severity' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__VERSION

    public static final int COMMON_BASE_EVENT__VERSION

  The feature ID for the 'Version' attribute.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__ANY

    public static final int COMMON_BASE_EVENT__ANY

  The feature ID for the 'Any' attribute list.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__SITUATION

    public static final int COMMON_BASE_EVENT__SITUATION

  The feature ID for the 'Situation' containment reference.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__ASSOCIATED_EVENTS

    public static final int COMMON_BASE_EVENT__ASSOCIATED_EVENTS

  The feature ID for the 'Associated Events' containment reference list.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__CONTEXT_DATA_ELEMENTS

    public static final int COMMON_BASE_EVENT__CONTEXT_DATA_ELEMENTS

  The feature ID for the 'Context Data Elements' containment reference list.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__EXTENDED_DATA_ELEMENTS

    public static final int COMMON_BASE_EVENT__EXTENDED_DATA_ELEMENTS

  The feature ID for the 'Extended Data Elements' containment reference list.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__MSG_DATA_ELEMENT

    public static final int COMMON_BASE_EVENT__MSG_DATA_ELEMENT

  The feature ID for the 'Msg Data Element' containment reference.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__REPORTER_COMPONENT_ID

    public static final int COMMON_BASE_EVENT__REPORTER_COMPONENT_ID

  The feature ID for the 'Reporter Component ID' containment reference.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT__SOURCE_COMPONENT_ID

    public static final int COMMON_BASE_EVENT__SOURCE_COMPONENT_ID

  The feature ID for the 'Source Component ID' containment reference.

  See Also:
    Constant Field Values

### COMMON_BASE_EVENT_FEATURE_COUNT

    public static final int COMMON_BASE_EVENT_FEATURE_COUNT

  The number of structural features of the the 'Common Base Event' class.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__APPLICATION

    public static final int COMPONENT_IDENTIFICATION__APPLICATION

  The feature ID for the 'Application' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__COMPONENT

    public static final int COMPONENT_IDENTIFICATION__COMPONENT

  The feature ID for the 'Component' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__COMPONENT_TYPE

    public static final int COMPONENT_IDENTIFICATION__COMPONENT_TYPE

  The feature ID for the 'Component Type' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__COMPONENT_ID_TYPE

    public static final int COMPONENT_IDENTIFICATION__COMPONENT_ID_TYPE

  The feature ID for the 'Component ID Type' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__EXECUTION_ENVIRONMENT

    public static final int COMPONENT_IDENTIFICATION__EXECUTION_ENVIRONMENT

  The feature ID for the 'Execution Environment' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__INSTANCE_ID

    public static final int COMPONENT_IDENTIFICATION__INSTANCE_ID

  The feature ID for the 'Instance ID' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__LOCATION

    public static final int COMPONENT_IDENTIFICATION__LOCATION

  The feature ID for the 'Location' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__LOCATION_TYPE

    public static final int COMPONENT_IDENTIFICATION__LOCATION_TYPE

  The feature ID for the 'Location Type' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__PROCESS_ID

    public static final int COMPONENT_IDENTIFICATION__PROCESS_ID

  The feature ID for the 'Process ID' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__SUB_COMPONENT

    public static final int COMPONENT_IDENTIFICATION__SUB_COMPONENT

  The feature ID for the 'Sub Component' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION__THREAD_ID

    public static final int COMPONENT_IDENTIFICATION__THREAD_ID

  The feature ID for the 'Thread ID' attribute.

  See Also:
    Constant Field Values

### COMPONENT_IDENTIFICATION_FEATURE_COUNT

    public static final int COMPONENT_IDENTIFICATION_FEATURE_COUNT

  The number of structural features of the the 'Component Identification' class.

  See Also:
    Constant Field Values

### CONFIGURE_SITUATION__REASONING_SCOPE

    public static final int CONFIGURE_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### CONFIGURE_SITUATION__SUCCESS_DISPOSITION

    public static final int CONFIGURE_SITUATION__SUCCESS_DISPOSITION

  The feature ID for the 'Success Disposition' attribute.

  See Also:
    Constant Field Values

### CONFIGURE_SITUATION_FEATURE_COUNT

    public static final int CONFIGURE_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Configure Situation' class.

  See Also:
    Constant Field Values

### CONNECT_SITUATION__REASONING_SCOPE

    public static final int CONNECT_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### CONNECT_SITUATION__SUCCESS_DISPOSITION

    public static final int CONNECT_SITUATION__SUCCESS_DISPOSITION

  The feature ID for the 'Success Disposition' attribute.

  See Also:
    Constant Field Values

### CONNECT_SITUATION__SITUATION_DISPOSITION

    public static final int CONNECT_SITUATION__SITUATION_DISPOSITION

  The feature ID for the 'Situation Disposition' attribute.

  See Also:
    Constant Field Values

### CONNECT_SITUATION_FEATURE_COUNT

    public static final int CONNECT_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Connect Situation' class.

  See Also:
    Constant Field Values

### CONTEXT_DATA_ELEMENT__CONTEXT_ID

    public static final int CONTEXT_DATA_ELEMENT__CONTEXT_ID

  The feature ID for the 'Context ID' attribute.

  See Also:
    Constant Field Values

### CONTEXT_DATA_ELEMENT__CONTEXT_VALUE

    public static final int CONTEXT_DATA_ELEMENT__CONTEXT_VALUE

  The feature ID for the 'Context Value' attribute.

  See Also:
    Constant Field Values

### CONTEXT_DATA_ELEMENT__NAME

    public static final int CONTEXT_DATA_ELEMENT__NAME

  The feature ID for the 'Name' attribute.

  See Also:
    Constant Field Values

### CONTEXT_DATA_ELEMENT__TYPE

    public static final int CONTEXT_DATA_ELEMENT__TYPE

  The feature ID for the 'Type' attribute.

  See Also:
    Constant Field Values

### CONTEXT_DATA_ELEMENT_FEATURE_COUNT

    public static final int CONTEXT_DATA_ELEMENT_FEATURE_COUNT

  The number of structural features of the the 'Context Data Element' class.

  See Also:
    Constant Field Values

### CREATE_SITUATION__REASONING_SCOPE

    public static final int CREATE_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### CREATE_SITUATION__SUCCESS_DISPOSITION

    public static final int CREATE_SITUATION__SUCCESS_DISPOSITION

  The feature ID for the 'Success Disposition' attribute.

  See Also:
    Constant Field Values

### CREATE_SITUATION_FEATURE_COUNT

    public static final int CREATE_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Create Situation' class.

  See Also:
    Constant Field Values

### DEPENDENCY_SITUATION__REASONING_SCOPE

    public static final int DEPENDENCY_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### DEPENDENCY_SITUATION__DEPENDENCY_DISPOSITION

    public static final int DEPENDENCY_SITUATION__DEPENDENCY_DISPOSITION

  The feature ID for the 'Dependency Disposition' attribute.

  See Also:
    Constant Field Values

### DEPENDENCY_SITUATION_FEATURE_COUNT

    public static final int DEPENDENCY_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Dependency Situation' class.

  See Also:
    Constant Field Values

### DESTROY_SITUATION__REASONING_SCOPE

    public static final int DESTROY_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### DESTROY_SITUATION__SUCCESS_DISPOSITION

    public static final int DESTROY_SITUATION__SUCCESS_DISPOSITION

  The feature ID for the 'Success Disposition' attribute.

  See Also:
    Constant Field Values

### DESTROY_SITUATION_FEATURE_COUNT

    public static final int DESTROY_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Destroy Situation' class.

  See Also:
    Constant Field Values

### EXTENDED_DATA_ELEMENT__HEX_VALUE

    public static final int EXTENDED_DATA_ELEMENT__HEX_VALUE

  The feature ID for the 'Hex Value' attribute.

  See Also:
    Constant Field Values

### EXTENDED_DATA_ELEMENT__NAME

    public static final int EXTENDED_DATA_ELEMENT__NAME

  The feature ID for the 'Name' attribute.

  See Also:
    Constant Field Values

### EXTENDED_DATA_ELEMENT__TYPE

    public static final int EXTENDED_DATA_ELEMENT__TYPE

  The feature ID for the 'Type' attribute.

  See Also:
    Constant Field Values

### EXTENDED_DATA_ELEMENT__VALUES

    public static final int EXTENDED_DATA_ELEMENT__VALUES

  The feature ID for the 'Values' attribute list.

  See Also:
    Constant Field Values

### EXTENDED_DATA_ELEMENT__CHILDREN

    public static final int EXTENDED_DATA_ELEMENT__CHILDREN

  The feature ID for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### EXTENDED_DATA_ELEMENT_FEATURE_COUNT

    public static final int EXTENDED_DATA_ELEMENT_FEATURE_COUNT

  The number of structural features of the the 'Extended Data Element' class.

  See Also:
    Constant Field Values

### FEATURE_SITUATION__REASONING_SCOPE

    public static final int FEATURE_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### FEATURE_SITUATION__FEATURE_DISPOSITION

    public static final int FEATURE_SITUATION__FEATURE_DISPOSITION

  The feature ID for the 'Feature Disposition' attribute.

  See Also:
    Constant Field Values

### FEATURE_SITUATION_FEATURE_COUNT

    public static final int FEATURE_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Feature Situation' class.

  See Also:
    Constant Field Values

### MSG_CATALOG_TOKEN__VALUE

    public static final int MSG_CATALOG_TOKEN__VALUE

  The feature ID for the 'Value' attribute.

  See Also:
    Constant Field Values

### MSG_CATALOG_TOKEN_FEATURE_COUNT

    public static final int MSG_CATALOG_TOKEN_FEATURE_COUNT

  The number of structural features of the the 'Msg Catalog Token' class.

  See Also:
    Constant Field Values

### MSG_DATA_ELEMENT__MSG_ID_TYPE

    public static final int MSG_DATA_ELEMENT__MSG_ID_TYPE

  The feature ID for the 'Msg ID Type' attribute.

  See Also:
    Constant Field Values

### MSG_DATA_ELEMENT__MSG_CATALOG_TYPE

    public static final int MSG_DATA_ELEMENT__MSG_CATALOG_TYPE

  The feature ID for the 'Msg Catalog Type' attribute.

  See Also:
    Constant Field Values

### MSG_DATA_ELEMENT__MSG_CATALOG

    public static final int MSG_DATA_ELEMENT__MSG_CATALOG

  The feature ID for the 'Msg Catalog' attribute.

  See Also:
    Constant Field Values

### MSG_DATA_ELEMENT__MSG_CATALOG_ID

    public static final int MSG_DATA_ELEMENT__MSG_CATALOG_ID

  The feature ID for the 'Msg Catalog ID' attribute.

  See Also:
    Constant Field Values

### MSG_DATA_ELEMENT__MSG_ID

    public static final int MSG_DATA_ELEMENT__MSG_ID

  The feature ID for the 'Msg ID' attribute.

  See Also:
    Constant Field Values

### MSG_DATA_ELEMENT__MSG_LOCALE

    public static final int MSG_DATA_ELEMENT__MSG_LOCALE

  The feature ID for the 'Msg Locale' attribute.

  See Also:
    Constant Field Values

### MSG_DATA_ELEMENT__MSG_CATALOG_TOKENS

    public static final int MSG_DATA_ELEMENT__MSG_CATALOG_TOKENS

  The feature ID for the 'Msg Catalog Tokens' containment reference list.

  See Also:
    Constant Field Values

### MSG_DATA_ELEMENT_FEATURE_COUNT

    public static final int MSG_DATA_ELEMENT_FEATURE_COUNT

  The number of structural features of the the 'Msg Data Element' class.

  See Also:
    Constant Field Values

### OTHER_SITUATION__REASONING_SCOPE

    public static final int OTHER_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### OTHER_SITUATION__ANY

    public static final int OTHER_SITUATION__ANY

  The feature ID for the 'Any' attribute.

  See Also:
    Constant Field Values

### OTHER_SITUATION_FEATURE_COUNT

    public static final int OTHER_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Other Situation' class.

  See Also:
    Constant Field Values

### REPORT_SITUATION__REASONING_SCOPE

    public static final int REPORT_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### REPORT_SITUATION__REPORT_CATEGORY

    public static final int REPORT_SITUATION__REPORT_CATEGORY

  The feature ID for the 'Report Category' attribute.

  See Also:
    Constant Field Values

### REPORT_SITUATION_FEATURE_COUNT

    public static final int REPORT_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Report Situation' class.

  See Also:
    Constant Field Values

### REQUEST_SITUATION__REASONING_SCOPE

    public static final int REQUEST_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### REQUEST_SITUATION__SUCCESS_DISPOSITION

    public static final int REQUEST_SITUATION__SUCCESS_DISPOSITION

  The feature ID for the 'Success Disposition' attribute.

  See Also:
    Constant Field Values

### REQUEST_SITUATION__SITUATION_QUALIFIER

    public static final int REQUEST_SITUATION__SITUATION_QUALIFIER

  The feature ID for the 'Situation Qualifier' attribute.

  See Also:
    Constant Field Values

### REQUEST_SITUATION_FEATURE_COUNT

    public static final int REQUEST_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Request Situation' class.

  See Also:
    Constant Field Values

### SITUATION__CATEGORY_NAME

    public static final int SITUATION__CATEGORY_NAME

  The feature ID for the 'Category Name' attribute.

  See Also:
    Constant Field Values

### SITUATION__SITUATION_TYPE

    public static final int SITUATION__SITUATION_TYPE

  The feature ID for the 'Situation Type' containment reference.

  See Also:
    Constant Field Values

### SITUATION_FEATURE_COUNT

    public static final int SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Situation' class.

  See Also:
    Constant Field Values

### START_SITUATION__REASONING_SCOPE

    public static final int START_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### START_SITUATION__SUCCESS_DISPOSITION

    public static final int START_SITUATION__SUCCESS_DISPOSITION

  The feature ID for the 'Success Disposition' attribute.

  See Also:
    Constant Field Values

### START_SITUATION__SITUATION_QUALIFIER

    public static final int START_SITUATION__SITUATION_QUALIFIER

  The feature ID for the 'Situation Qualifier' attribute.

  See Also:
    Constant Field Values

### START_SITUATION_FEATURE_COUNT

    public static final int START_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Start Situation' class.

  See Also:
    Constant Field Values

### STOP_SITUATION__REASONING_SCOPE

    public static final int STOP_SITUATION__REASONING_SCOPE

  The feature ID for the 'Reasoning Scope' attribute.

  See Also:
    Constant Field Values

### STOP_SITUATION__SUCCESS_DISPOSITION

    public static final int STOP_SITUATION__SUCCESS_DISPOSITION

  The feature ID for the 'Success Disposition' attribute.

  See Also:
    Constant Field Values

### STOP_SITUATION__SITUATION_QUALIFIER

    public static final int STOP_SITUATION__SITUATION_QUALIFIER

  The feature ID for the 'Situation Qualifier' attribute.

  See Also:
    Constant Field Values

### STOP_SITUATION_FEATURE_COUNT

    public static final int STOP_SITUATION_FEATURE_COUNT

  The number of structural features of the the 'Stop Situation' class.

  See Also:
    Constant Field Values

Method Detail

### getAssociatedEvent

    public org.eclipse.emf.ecore.EClass getAssociatedEvent()

  Returns the metaobject for class '`Associated Event`'.

  Returns:
    the metaobject for class 'Associated Event'.
  See Also:
    `AssociatedEvent`

### getAssociatedEvent_AssociationEngine

    public org.eclipse.emf.ecore.EAttribute getAssociatedEvent_AssociationEngine()

  Returns the metaobject for the attribute '`Association Engine`'.

  Returns:
    the metaobject for the attribute 'Association Engine'.
  See Also:
    `AssociatedEvent.getAssociationEngine()`, `getAssociatedEvent()`

### getAssociatedEvent_ResolvedEvents

    public org.eclipse.emf.ecore.EAttribute getAssociatedEvent_ResolvedEvents()

  Returns the metaobject for the attribute '`Resolved Events`'.

  Returns:
    the metaobject for the attribute 'Resolved Events'.
  See Also:
    `AssociatedEvent.getResolvedEvents()`, `getAssociatedEvent()`

### getAssociatedEvent_AssociationEngineInfo

    public org.eclipse.emf.ecore.EReference getAssociatedEvent_AssociationEngineInfo()

  Returns the metaobject for the containment reference '`Association Engine Info`'.

  Returns:
    the metaobject for the containment reference 'Association Engine Info'.
  See Also:
    `AssociatedEvent.getAssociationEngineInfo()`, `getAssociatedEvent()`

### getAssociationEngine

    public org.eclipse.emf.ecore.EClass getAssociationEngine()

  Returns the metaobject for class '`Association Engine`'.

  Returns:
    the metaobject for class 'Association Engine'.
  See Also:
    `AssociationEngine`

### getAssociationEngine_Id

    public org.eclipse.emf.ecore.EAttribute getAssociationEngine_Id()

  Returns the metaobject for the attribute '`Id`'.

  Returns:
    the metaobject for the attribute 'Id'.
  See Also:
    `AssociationEngine.getId()`, `getAssociationEngine()`

### getAssociationEngine_Name

    public org.eclipse.emf.ecore.EAttribute getAssociationEngine_Name()

  Returns the metaobject for the attribute '`Name`'.

  Returns:
    the metaobject for the attribute 'Name'.
  See Also:
    `AssociationEngine.getName()`, `getAssociationEngine()`

### getAssociationEngine_Type

    public org.eclipse.emf.ecore.EAttribute getAssociationEngine_Type()

  Returns the metaobject for the attribute '`Type`'.

  Returns:
    the metaobject for the attribute 'Type'.
  See Also:
    `AssociationEngine.getType()`, `getAssociationEngine()`

### getAvailableSituation

    public org.eclipse.emf.ecore.EClass getAvailableSituation()

  Returns the metaobject for class '`Available Situation`'.

  Returns:
    the metaobject for class 'Available Situation'.
  See Also:
    `AvailableSituation`

### getAvailableSituation_OperationDisposition

    public org.eclipse.emf.ecore.EAttribute getAvailableSituation_OperationDisposition()

  Returns the metaobject for the attribute '`Operation Disposition`'.

  Returns:
    the metaobject for the attribute 'Operation Disposition'.
  See Also:
    `AvailableSituation.getOperationDisposition()`, `getAvailableSituation()`

### getAvailableSituation_AvailabilityDisposition

    public org.eclipse.emf.ecore.EAttribute getAvailableSituation_AvailabilityDisposition()

  Returns the metaobject for the attribute '`Availability Disposition`'.

  Returns:
    the metaobject for the attribute 'Availability Disposition'.
  See Also:
    `AvailableSituation.getAvailabilityDisposition()`, `getAvailableSituation()`

### getAvailableSituation_ProcessingDisposition

    public org.eclipse.emf.ecore.EAttribute getAvailableSituation_ProcessingDisposition()

  Returns the metaobject for the attribute '`Processing Disposition`'.

  Returns:
    the metaobject for the attribute 'Processing Disposition'.
  See Also:
    `AvailableSituation.getProcessingDisposition()`, `getAvailableSituation()`

### getCommonBaseEvent

    public org.eclipse.emf.ecore.EClass getCommonBaseEvent()

  Returns the metaobject for class '`Common Base Event`'.

  Returns:
    the metaobject for class 'Common Base Event'.
  See Also:
    `CommonBaseEvent`

### getCommonBaseEvent_CreationTime

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_CreationTime()

  Returns the metaobject for the attribute '`Creation Time`'.

  Returns:
    the metaobject for the attribute 'Creation Time'.
  See Also:
    `CommonBaseEvent.getCreationTime()`, `getCommonBaseEvent()`

### getCommonBaseEvent_GlobalInstanceId

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_GlobalInstanceId()

  Returns the metaobject for the attribute '`Global Instance ID`'.

  Returns:
    the metaobject for the attribute 'Global Instance ID'.
  See Also:
    `CommonBaseEvent.getGlobalInstanceId()`, `getCommonBaseEvent()`

### getCommonBaseEvent_ElapsedTime

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_ElapsedTime()

  Returns the metaobject for the attribute '`Elapsed Time`'.

  Returns:
    the metaobject for the attribute 'Elapsed Time'.
  See Also:
    `CommonBaseEvent.getElapsedTime()`, `getCommonBaseEvent()`

### getCommonBaseEvent_ExtensionName

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_ExtensionName()

  Returns the metaobject for the attribute '`Extension Name`'.

  Returns:
    the metaobject for the attribute 'Extension Name'.
  See Also:
    `CommonBaseEvent.getExtensionName()`, `getCommonBaseEvent()`

### getCommonBaseEvent_LocalInstanceId

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_LocalInstanceId()

  Returns the metaobject for the attribute '`Local Instance ID`'.

  Returns:
    the metaobject for the attribute 'Local Instance ID'.
  See Also:
    `CommonBaseEvent.getLocalInstanceId()`, `getCommonBaseEvent()`

### getCommonBaseEvent_Msg

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Msg()

  Returns the metaobject for the attribute '`Msg`'.

  Returns:
    the metaobject for the attribute 'Msg'.
  See Also:
    `CommonBaseEvent.getMsg()`, `getCommonBaseEvent()`

### getCommonBaseEvent_Priority

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Priority()

  Returns the metaobject for the attribute '`Priority`'.

  Returns:
    the metaobject for the attribute 'Priority'.
  See Also:
    `CommonBaseEvent.getPriority()`, `getCommonBaseEvent()`

### getCommonBaseEvent_RepeatCount

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_RepeatCount()

  Returns the metaobject for the attribute '`Repeat Count`'.

  Returns:
    the metaobject for the attribute 'Repeat Count'.
  See Also:
    `CommonBaseEvent.getRepeatCount()`, `getCommonBaseEvent()`

### getCommonBaseEvent_SequenceNumber

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_SequenceNumber()

  Returns the metaobject for the attribute '`Sequence Number`'.

  Returns:
    the metaobject for the attribute 'Sequence Number'.
  See Also:
    `CommonBaseEvent.getSequenceNumber()`, `getCommonBaseEvent()`

### getCommonBaseEvent_Severity

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Severity()

  Returns the metaobject for the attribute '`Severity`'.

  Returns:
    the metaobject for the attribute 'Severity'.
  See Also:
    `CommonBaseEvent.getSeverity()`, `getCommonBaseEvent()`

### getCommonBaseEvent_Version

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Version()

  Returns the metaobject for the attribute '`Version`'.

  Returns:
    the metaobject for the attribute 'Version'.
  See Also:
    `CommonBaseEvent.getVersion()`, `getCommonBaseEvent()`

### getCommonBaseEvent_Situation

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_Situation()

  Returns the metaobject for the containment reference '`Situation`'.

  Returns:
    the metaobject for the containment reference 'Situation'.
  See Also:
    `CommonBaseEvent.getSituation()`, `getCommonBaseEvent()`

### getCommonBaseEvent_Any

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Any()

  Returns the metaobject for the attribute list '`Any`'.

  Returns:
    the metaobject for the attribute list 'Any'.
  See Also:
    `CommonBaseEvent.getAny()`, `getCommonBaseEvent()`

### getCommonBaseEvent_AssociatedEvents

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_AssociatedEvents()

  Returns the metaobject for the containment reference list '`Associated Events`'.

  Returns:
    the metaobject for the containment reference list 'Associated Events'.
  See Also:
    `CommonBaseEvent.getAssociatedEvents()`, `getCommonBaseEvent()`

### getCommonBaseEvent_ContextDataElements

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_ContextDataElements()

  Returns the metaobject for the containment reference list '`Context Data Elements`'.

  Returns:
    the metaobject for the containment reference list 'Context Data Elements'.
  See Also:
    `CommonBaseEvent.getContextDataElements()`, `getCommonBaseEvent()`

### getCommonBaseEvent_ExtendedDataElements

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_ExtendedDataElements()

  Returns the metaobject for the containment reference list '`Extended Data Elements`'.

  Returns:
    the metaobject for the containment reference list 'Extended Data Elements'.
  See Also:
    `CommonBaseEvent.getExtendedDataElements()`, `getCommonBaseEvent()`

### getCommonBaseEvent_MsgDataElement

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_MsgDataElement()

  Returns the metaobject for the containment reference '`Msg Data Element`'.

  Returns:
    the metaobject for the containment reference 'Msg Data Element'.
  See Also:
    `CommonBaseEvent.getMsgDataElement()`, `getCommonBaseEvent()`

### getCommonBaseEvent_ReporterComponentId

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_ReporterComponentId()

  Returns the metaobject for the containment reference '`Reporter Component ID`'.

  Returns:
    the metaobject for the containment reference 'Reporter Component ID'.
  See Also:
    `CommonBaseEvent.getReporterComponentId()`, `getCommonBaseEvent()`

### getCommonBaseEvent_SourceComponentId

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_SourceComponentId()

  Returns the metaobject for the containment reference '`Source Component ID`'.

  Returns:
    the metaobject for the containment reference 'Source Component ID'.
  See Also:
    `CommonBaseEvent.getSourceComponentId()`, `getCommonBaseEvent()`

### getComponentIdentification

    public org.eclipse.emf.ecore.EClass getComponentIdentification()

  Returns the metaobject for class '`Component Identification`'.

  Returns:
    the metaobject for class 'Component Identification'.
  See Also:
    `ComponentIdentification`

### getComponentIdentification_Application

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_Application()

  Returns the metaobject for the attribute '`Application`'.

  Returns:
    the metaobject for the attribute 'Application'.
  See Also:
    `ComponentIdentification.getApplication()`, `getComponentIdentification()`

### getComponentIdentification_Component

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_Component()

  Returns the metaobject for the attribute '`Component`'.

  Returns:
    the metaobject for the attribute 'Component'.
  See Also:
    `ComponentIdentification.getComponent()`, `getComponentIdentification()`

### getComponentIdentification_ComponentType

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ComponentType()

  Returns the metaobject for the attribute '`Component Type`'.

  Returns:
    the metaobject for the attribute 'Component Type'.
  See Also:
    `ComponentIdentification.getComponentType()`, `getComponentIdentification()`

### getComponentIdentification_ComponentIdType

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ComponentIdType()

  Returns the metaobject for the attribute '`Component ID Type`'.

  Returns:
    the metaobject for the attribute 'Component ID Type'.
  See Also:
    `ComponentIdentification.getComponentIdType()`, `getComponentIdentification()`

### getComponentIdentification_ExecutionEnvironment

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ExecutionEnvironment()

  Returns the metaobject for the attribute '`Execution Environment`'.

  Returns:
    the metaobject for the attribute 'Execution Environment'.
  See Also:
    `ComponentIdentification.getExecutionEnvironment()`, `getComponentIdentification()`

### getComponentIdentification_InstanceId

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_InstanceId()

  Returns the metaobject for the attribute '`Instance ID`'.

  Returns:
    the metaobject for the attribute 'Instance ID'.
  See Also:
    `ComponentIdentification.getInstanceId()`, `getComponentIdentification()`

### getComponentIdentification_Location

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_Location()

  Returns the metaobject for the attribute '`Location`'.

  Returns:
    the metaobject for the attribute 'Location'.
  See Also:
    `ComponentIdentification.getLocation()`, `getComponentIdentification()`

### getComponentIdentification_LocationType

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_LocationType()

  Returns the metaobject for the attribute '`Location Type`'.

  Returns:
    the metaobject for the attribute 'Location Type'.
  See Also:
    `ComponentIdentification.getLocationType()`, `getComponentIdentification()`

### getComponentIdentification_ProcessId

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ProcessId()

  Returns the metaobject for the attribute '`Process ID`'.

  Returns:
    the metaobject for the attribute 'Process ID'.
  See Also:
    `ComponentIdentification.getProcessId()`, `getComponentIdentification()`

### getComponentIdentification_SubComponent

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_SubComponent()

  Returns the metaobject for the attribute '`Sub Component`'.

  Returns:
    the metaobject for the attribute 'Sub Component'.
  See Also:
    `ComponentIdentification.getSubComponent()`, `getComponentIdentification()`

### getComponentIdentification_ThreadId

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ThreadId()

  Returns the metaobject for the attribute '`Thread ID`'.

  Returns:
    the metaobject for the attribute 'Thread ID'.
  See Also:
    `ComponentIdentification.getThreadId()`, `getComponentIdentification()`

### getConfigureSituation

    public org.eclipse.emf.ecore.EClass getConfigureSituation()

  Returns the metaobject for class '`Configure Situation`'.

  Returns:
    the metaobject for class 'Configure Situation'.
  See Also:
    `ConfigureSituation`

### getConfigureSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getConfigureSituation_SuccessDisposition()

  Returns the metaobject for the attribute '`Success Disposition`'.

  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `ConfigureSituation.getSuccessDisposition()`, `getConfigureSituation()`

### getConnectSituation

    public org.eclipse.emf.ecore.EClass getConnectSituation()

  Returns the metaobject for class '`Connect Situation`'.

  Returns:
    the metaobject for class 'Connect Situation'.
  See Also:
    `ConnectSituation`

### getConnectSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getConnectSituation_SuccessDisposition()

  Returns the metaobject for the attribute '`Success Disposition`'.

  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `ConnectSituation.getSuccessDisposition()`, `getConnectSituation()`

### getConnectSituation_SituationDisposition

    public org.eclipse.emf.ecore.EAttribute getConnectSituation_SituationDisposition()

  Returns the metaobject for the attribute '`Situation Disposition`'.

  Returns:
    the metaobject for the attribute 'Situation Disposition'.
  See Also:
    `ConnectSituation.getSituationDisposition()`, `getConnectSituation()`

### getContextDataElement

    public org.eclipse.emf.ecore.EClass getContextDataElement()

  Returns the metaobject for class '`Context Data Element`'.

  Returns:
    the metaobject for class 'Context Data Element'.
  See Also:
    `ContextDataElement`

### getContextDataElement_ContextId

    public org.eclipse.emf.ecore.EAttribute getContextDataElement_ContextId()

  Returns the metaobject for the attribute '`Context ID`'.

  Returns:
    the metaobject for the attribute 'Context ID'.
  See Also:
    `ContextDataElement.getContextId()`, `getContextDataElement()`

### getContextDataElement_ContextValue

    public org.eclipse.emf.ecore.EAttribute getContextDataElement_ContextValue()

  Returns the metaobject for the attribute '`Context Value`'.

  Returns:
    the metaobject for the attribute 'Context Value'.
  See Also:
    `ContextDataElement.getContextValue()`, `getContextDataElement()`

### getContextDataElement_Name

    public org.eclipse.emf.ecore.EAttribute getContextDataElement_Name()

  Returns the metaobject for the attribute '`Name`'.

  Returns:
    the metaobject for the attribute 'Name'.
  See Also:
    `ContextDataElement.getName()`, `getContextDataElement()`

### getContextDataElement_Type

    public org.eclipse.emf.ecore.EAttribute getContextDataElement_Type()

  Returns the metaobject for the attribute '`Type`'.

  Returns:
    the metaobject for the attribute 'Type'.
  See Also:
    `ContextDataElement.getType()`, `getContextDataElement()`

### getCreateSituation

    public org.eclipse.emf.ecore.EClass getCreateSituation()

  Returns the metaobject for class '`Create Situation`'.

  Returns:
    the metaobject for class 'Create Situation'.
  See Also:
    `CreateSituation`

### getCreateSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getCreateSituation_SuccessDisposition()

  Returns the metaobject for the attribute '`Success Disposition`'.

  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `CreateSituation.getSuccessDisposition()`, `getCreateSituation()`

### getDependencySituation

    public org.eclipse.emf.ecore.EClass getDependencySituation()

  Returns the metaobject for class '`Dependency Situation`'.

  Returns:
    the metaobject for class 'Dependency Situation'.
  See Also:
    `DependencySituation`

### getDependencySituation_DependencyDisposition

    public org.eclipse.emf.ecore.EAttribute getDependencySituation_DependencyDisposition()

  Returns the metaobject for the attribute '`Dependency Disposition`'.

  Returns:
    the metaobject for the attribute 'Dependency Disposition'.
  See Also:
    `DependencySituation.getDependencyDisposition()`, `getDependencySituation()`

### getDestroySituation

    public org.eclipse.emf.ecore.EClass getDestroySituation()

  Returns the metaobject for class '`Destroy Situation`'.

  Returns:
    the metaobject for class 'Destroy Situation'.
  See Also:
    `DestroySituation`

### getDestroySituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getDestroySituation_SuccessDisposition()

  Returns the metaobject for the attribute '`Success Disposition`'.

  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `DestroySituation.getSuccessDisposition()`, `getDestroySituation()`

### getExtendedDataElement

    public org.eclipse.emf.ecore.EClass getExtendedDataElement()

  Returns the metaobject for class '`Extended Data Element`'.

  Returns:
    the metaobject for class 'Extended Data Element'.
  See Also:
    `ExtendedDataElement`

### getExtendedDataElement_HexValue

    public org.eclipse.emf.ecore.EAttribute getExtendedDataElement_HexValue()

  Returns the metaobject for the attribute '`Hex Value`'.

  Returns:
    the metaobject for the attribute 'Hex Value'.
  See Also:
    `ExtendedDataElement.getHexValue()`, `getExtendedDataElement()`

### getExtendedDataElement_Name

    public org.eclipse.emf.ecore.EAttribute getExtendedDataElement_Name()

  Returns the metaobject for the attribute '`Name`'.

  Returns:
    the metaobject for the attribute 'Name'.
  See Also:
    `ExtendedDataElement.getName()`, `getExtendedDataElement()`

### getExtendedDataElement_Type

    public org.eclipse.emf.ecore.EAttribute getExtendedDataElement_Type()

  Returns the metaobject for the attribute '`Type`'.

  Returns:
    the metaobject for the attribute 'Type'.
  See Also:
    `ExtendedDataElement.getType()`, `getExtendedDataElement()`

### getExtendedDataElement_Values

    public org.eclipse.emf.ecore.EAttribute getExtendedDataElement_Values()

  Returns the metaobject for the attribute list '`Values`'.

  Returns:
    the metaobject for the attribute list 'Values'.
  See Also:
    `ExtendedDataElement.getValues()`, `getExtendedDataElement()`

### getExtendedDataElement_Children

    public org.eclipse.emf.ecore.EReference getExtendedDataElement_Children()

  Returns the metaobject for the containment reference list '`Children`'.

  Returns:
    the metaobject for the containment reference list 'Children'.
  See Also:
    `ExtendedDataElement.getChildren()`, `getExtendedDataElement()`

### getFeatureSituation

    public org.eclipse.emf.ecore.EClass getFeatureSituation()

  Returns the metaobject for class '`Feature Situation`'.

  Returns:
    the metaobject for class 'Feature Situation'.
  See Also:
    `FeatureSituation`

### getFeatureSituation_FeatureDisposition

    public org.eclipse.emf.ecore.EAttribute getFeatureSituation_FeatureDisposition()

  Returns the metaobject for the attribute '`Feature Disposition`'.

  Returns:
    the metaobject for the attribute 'Feature Disposition'.
  See Also:
    `FeatureSituation.getFeatureDisposition()`, `getFeatureSituation()`

### getMsgCatalogToken

    public org.eclipse.emf.ecore.EClass getMsgCatalogToken()

  Returns the metaobject for class '`Msg Catalog Token`'.

  Returns:
    the metaobject for class 'Msg Catalog Token'.
  See Also:
    `MsgCatalogToken`

### getMsgCatalogToken_Value

    public org.eclipse.emf.ecore.EAttribute getMsgCatalogToken_Value()

  Returns the metaobject for the attribute '`Value`'.

  Returns:
    the metaobject for the attribute 'Value'.
  See Also:
    `MsgCatalogToken.getValue()`, `getMsgCatalogToken()`

### getMsgDataElement

    public org.eclipse.emf.ecore.EClass getMsgDataElement()

  Returns the metaobject for class '`Msg Data Element`'.

  Returns:
    the metaobject for class 'Msg Data Element'.
  See Also:
    `MsgDataElement`

### getMsgDataElement_MsgIdType

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgIdType()

  Returns the metaobject for the attribute '`Msg ID Type`'.

  Returns:
    the metaobject for the attribute 'Msg ID Type'.
  See Also:
    `MsgDataElement.getMsgIdType()`, `getMsgDataElement()`

### getMsgDataElement_MsgCatalogType

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgCatalogType()

  Returns the metaobject for the attribute '`Msg Catalog Type`'.

  Returns:
    the metaobject for the attribute 'Msg Catalog Type'.
  See Also:
    `MsgDataElement.getMsgCatalogType()`, `getMsgDataElement()`

### getMsgDataElement_MsgCatalog

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgCatalog()

  Returns the metaobject for the attribute '`Msg Catalog`'.

  Returns:
    the metaobject for the attribute 'Msg Catalog'.
  See Also:
    `MsgDataElement.getMsgCatalog()`, `getMsgDataElement()`

### getMsgDataElement_MsgCatalogId

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgCatalogId()

  Returns the metaobject for the attribute '`Msg Catalog ID`'.

  Returns:
    the metaobject for the attribute 'Msg Catalog ID'.
  See Also:
    `MsgDataElement.getMsgCatalogId()`, `getMsgDataElement()`

### getMsgDataElement_MsgId

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgId()

  Returns the metaobject for the attribute '`Msg ID`'.

  Returns:
    the metaobject for the attribute 'Msg ID'.
  See Also:
    `MsgDataElement.getMsgId()`, `getMsgDataElement()`

### getMsgDataElement_MsgLocale

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgLocale()

  Returns the metaobject for the attribute '`Msg Locale`'.

  Returns:
    the metaobject for the attribute 'Msg Locale'.
  See Also:
    `MsgDataElement.getMsgLocale()`, `getMsgDataElement()`

### getMsgDataElement_MsgCatalogTokens

    public org.eclipse.emf.ecore.EReference getMsgDataElement_MsgCatalogTokens()

  Returns the metaobject for the containment reference list '`Msg Catalog Tokens`'.

  Returns:
    the metaobject for the containment reference list 'Msg Catalog Tokens'.
  See Also:
    `MsgDataElement.getMsgCatalogTokens()`, `getMsgDataElement()`

### getOtherSituation

    public org.eclipse.emf.ecore.EClass getOtherSituation()

  Returns the metaobject for class '`Other Situation`'.

  Returns:
    the metaobject for class 'Other Situation'.
  See Also:
    `OtherSituation`

### getOtherSituation_Any

    public org.eclipse.emf.ecore.EAttribute getOtherSituation_Any()

  Returns the metaobject for the attribute '`Any`'.

  Returns:
    the metaobject for the attribute 'Any'.
  See Also:
    `OtherSituation.getAny()`, `getOtherSituation()`

### getReportSituation

    public org.eclipse.emf.ecore.EClass getReportSituation()

  Returns the metaobject for class '`Report Situation`'.

  Returns:
    the metaobject for class 'Report Situation'.
  See Also:
    `ReportSituation`

### getReportSituation_ReportCategory

    public org.eclipse.emf.ecore.EAttribute getReportSituation_ReportCategory()

  Returns the metaobject for the attribute '`Report Category`'.

  Returns:
    the metaobject for the attribute 'Report Category'.
  See Also:
    `ReportSituation.getReportCategory()`, `getReportSituation()`

### getRequestSituation

    public org.eclipse.emf.ecore.EClass getRequestSituation()

  Returns the metaobject for class '`Request Situation`'.

  Returns:
    the metaobject for class 'Request Situation'.
  See Also:
    `RequestSituation`

### getRequestSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getRequestSituation_SuccessDisposition()

  Returns the metaobject for the attribute '`Success Disposition`'.

  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `RequestSituation.getSuccessDisposition()`, `getRequestSituation()`

### getRequestSituation_SituationQualifier

    public org.eclipse.emf.ecore.EAttribute getRequestSituation_SituationQualifier()

  Returns the metaobject for the attribute '`Situation Qualifier`'.

  Returns:
    the metaobject for the attribute 'Situation Qualifier'.
  See Also:
    `RequestSituation.getSituationQualifier()`, `getRequestSituation()`

### getSituation

    public org.eclipse.emf.ecore.EClass getSituation()

  Returns the metaobject for class '`Situation`'.

  Returns:
    the metaobject for class 'Situation'.
  See Also:
    `Situation`

### getSituation_CategoryName

    public org.eclipse.emf.ecore.EAttribute getSituation_CategoryName()

  Returns the metaobject for the attribute '`Category Name`'.

  Returns:
    the metaobject for the attribute 'Category Name'.
  See Also:
    `Situation.getCategoryName()`, `getSituation()`

### getSituation_SituationType

    public org.eclipse.emf.ecore.EReference getSituation_SituationType()

  Returns the metaobject for the containment reference '`Situation Type`'.

  Returns:
    the metaobject for the containment reference 'Situation Type'.
  See Also:
    `Situation.getSituationType()`, `getSituation()`

### getSituationType

    public org.eclipse.emf.ecore.EClass getSituationType()

  Returns the metaobject for class '`Situation Type`'.

  Returns:
    the metaobject for class 'Situation Type'.
  See Also:
    `SituationType`

### getSituationType_ReasoningScope

    public org.eclipse.emf.ecore.EAttribute getSituationType_ReasoningScope()

  Returns the metaobject for the attribute '`Reasoning Scope`'.

  Returns:
    the metaobject for the attribute 'Reasoning Scope'.
  See Also:
    `SituationType.getReasoningScope()`, `getSituationType()`

### getStartSituation

    public org.eclipse.emf.ecore.EClass getStartSituation()

  Returns the metaobject for class '`Start Situation`'.

  Returns:
    the metaobject for class 'Start Situation'.
  See Also:
    `StartSituation`

### getStartSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getStartSituation_SuccessDisposition()

  Returns the metaobject for the attribute '`Success Disposition`'.

  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `StartSituation.getSuccessDisposition()`, `getStartSituation()`

### getStartSituation_SituationQualifier

    public org.eclipse.emf.ecore.EAttribute getStartSituation_SituationQualifier()

  Returns the metaobject for the attribute '`Situation Qualifier`'.

  Returns:
    the metaobject for the attribute 'Situation Qualifier'.
  See Also:
    `StartSituation.getSituationQualifier()`, `getStartSituation()`

### getStopSituation

    public org.eclipse.emf.ecore.EClass getStopSituation()

  Returns the metaobject for class '`Stop Situation`'.

  Returns:
    the metaobject for class 'Stop Situation'.
  See Also:
    `StopSituation`

### getStopSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getStopSituation_SuccessDisposition()

  Returns the metaobject for the attribute '`Success Disposition`'.

  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `StopSituation.getSuccessDisposition()`, `getStopSituation()`

### getStopSituation_SituationQualifier

    public org.eclipse.emf.ecore.EAttribute getStopSituation_SituationQualifier()

  Returns the metaobject for the attribute '`Situation Qualifier`'.

  Returns:
    the metaobject for the attribute 'Situation Qualifier'.
  See Also:
    `StopSituation.getSituationQualifier()`, `getStopSituation()`

### getSerializable

    public org.eclipse.emf.ecore.EClass getSerializable()

  Returns the metaobject for class '`Serializable`'.

  Returns:
    the metaobject for class 'Serializable'.
  See Also:
    `Serializable`

### getEventFactory

    public EventFactory getEventFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD